%define major		0
%define libname		%mklibname iperf %major
%define develname	%mklibname iperf -d

Name:		iperf
Version:	3.9
Release:	%mkrel 1
License:	BSD
Group:		Networking/Other
Summary:	A TCP, UDP, and SCTP network bandwidth measurement tool
URL:		https://github.com/esnet/iperf

Source:		https://github.com/esnet/%{name}/archive/%{version}.tar.gz

%description
iperf is a tool for active measurements of the maximum achievable bandwidth 
on IP networks. It supports tuning of various parameters related to timing, 
protocols, and buffers. For each test it reports the bandwidth, loss, and 
other parameters.

%package	-n %libname
Group:		System/Libraries
Summary:	Libraries for %{name}
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
iperf is a tool for active measurements of the maximum achievable bandwidth
on IP networks. It supports tuning of various parameters related to timing,
protocols, and buffers. For each test it reports the bandwidth, loss, and
other parameters.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --enable-static=no
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%doc RELNOTES.md LICENSE README.md
%{_bindir}/iperf3
%{_mandir}/man1/%{name}3.1.*

%files -n %{libname}
%{_libdir}/libiperf.so.%{major}{,.*}

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/libiperf.3.*


%changelog
* Tue Dec 29 2020 sander85 <sander85> 3.9-1.mga8
+ Revision: 1664813
- New version: 3.9

* Wed Aug 12 2020 sander85 <sander85> 3.8.1-1.mga8
+ Revision: 1613524
- New version: 3.8.1

* Thu Feb 13 2020 umeabot <umeabot> 3.6-3.mga8
+ Revision: 1513628
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.6-2.mga7
+ Revision: 1298307
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1252804
- new version: 3.6

* Thu May 17 2018 daviddavid <daviddavid> 3.5-1.mga7
+ Revision: 1230186
- new version: 3.5

* Sun Nov 19 2017 sander85 <sander85> 3.3-1.mga7
+ Revision: 1177795
- New version: 3.3

* Mon Jul 17 2017 sander85 <sander85> 3.2-1.mga7
+ Revision: 1124154
- New version: 3.2

* Wed Jun 29 2016 sander85 <sander85> 3.1.3-1.mga6
+ Revision: 1038122
- New version: 3.1.3

* Fri Feb 12 2016 sander85 <sander85> 3.1.2-1.mga6
+ Revision: 958703
- New version: 3.1.2

* Sat Jan 16 2016 sander85 <sander85> 3.1.1-1.mga6
+ Revision: 924692
- New version: 3.1.1

* Sun Nov 01 2015 sander85 <sander85> 3.1-1.mga6
+ Revision: 897140
- New version: 3.1

* Sun Jun 21 2015 sander85 <sander85> 3.0.11-1.mga6
+ Revision: 836940
- New version: 3.0.11

* Wed Oct 15 2014 umeabot <umeabot> 3.0.7-3.mga5
+ Revision: 750413
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.7-2.mga5
+ Revision: 680537
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 3.0.7-1.mga5
+ Revision: 669997
- New version: 3.0.7

* Mon Aug 11 2014 sander85 <sander85> 3.0.6-1.mga5
+ Revision: 661751
- New version: 3.0.6

* Mon Jul 21 2014 sander85 <sander85> 3.0.5-2.mga5
+ Revision: 655051
- New version: 3.0.5
- Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 2.0.5-4.mga4
+ Revision: 506037
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.5-3.mga3
+ Revision: 354451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 20 2011 sander85 <sander85> 2.0.5-2.mga2
+ Revision: 145958
- bump release as iperf was added into mga1 updates
- imported package iperf


* Thu Jul 28 2011 Sander Lepik <sander.lepik@eesti.ee> - 2.0.5-1.mga2
- Initial release for Mageia
